Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361843 - [Docs] [Networking] SR-IOV agent incorrect documentation.
Summary: [Docs] [Networking] SR-IOV agent incorrect documentation.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: async
: 8.0 (Liberty)
Assignee: Martin Lopes
QA Contact: Deepti Navale
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-31 07:38 UTC by Ziv
Modified: 2016-09-22 01:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 01:25:13 UTC


Attachments (Terms of Use)

Description Ziv 2016-07-31 07:38:49 UTC
I have been following by this documentation for the sriov agent deployment:

https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/paged/networking-guide/chapter-19-sr-iov-support-for-virtual-networking
  

It seems that the files configuration is in a wrong locations:

In paragraph "2. Enable NoopFirewallDriver in the /etc/neutron/plugin.ini file:"
The actual file location in RHOS8 is /etc/neutron/plugins/ml2/openvswitch_agent.ini

In paragraph "3. Add mappings to the /etc/neutron/plugins/ml2/ml2_conf_sriov.ini file."
The actual file location in RHOS8 is /etc/neutron/plugins/ml2/sriov_agent.ini

Also, in paragraph "5. Configure neutron-sriov-nic-agent.service to use the ml2_conf_sriov.ini file." 
The sriov agent service is on the "network" server, where it should be running on the "compute" server.

Comment 4 Andrew Dahms 2016-08-09 02:12:07 UTC
Assigning to Martin for review.

Comment 6 Martin Lopes 2016-08-09 02:37:11 UTC
Backported to osp8

Comment 15 Ziv 2016-08-23 21:28:25 UTC
Hi Martin,

Yes, I was able to see it.

Thanks,
Ziv

Comment 16 Martin Lopes 2016-08-24 00:38:01 UTC
Okay cool, looks like it synced the changes. Was there something else you were expecting to see? These are the changes that were made to address this bug:

----------------
* Changed this: "2. Enable NoopFirewallDriver in the /etc/neutron/plugin.ini file:"
* To this: "2. Enable NoopFirewallDriver in the /etc/neutron/plugins/ml2/openvswitch_agent.ini file:"
----------------
* Changed this: "3. Add mappings to the /etc/neutron/plugins/ml2/ml2_conf_sriov.ini"
* To this: "3. Add mappings to the /etc/neutron/plugins/ml2/sriov_agent.ini"
----------------
* Changed this: "5. Configure neutron-sriov-nic-agent.service to use the
 "ml2_conf_sriov.ini file."
* To this: "5. Configure neutron-sriov-nic-agent.service to use the ml2_conf_sriov.ini file."
----------------
* Changed this: "[root@network ~]# vi /usr/lib/systemd/system/neutron-sriov-nic-agent.service"
* To this: "[root@compute ~]# vi /usr/lib/systemd/system/neutron-sriov-nic-agent.service"
----------------

Comment 17 Ziv 2016-08-24 04:35:57 UTC
Well, you see, in the black box windows, where you're showing the example, the following changes have not been made yet.

Comment 19 Ziv 2016-08-24 05:19:05 UTC
OK, besides "6. Start the OpenStack Networking SR-IOV agent:" which should be on the compute node instead of on the controller, everything else sriov agent related looks correct to me.

Thanks,
Ziv

Comment 20 Martin Lopes 2016-08-24 05:27:29 UTC
Okay, great. Added a fix for "6. Start the OpenStack Networking SR-IOV agent".

Comment 24 Deepti Navale 2016-09-08 06:47:24 UTC
Changing status to VERIFIED. Content has been merged and the guide has been published for OSP8 and OSP9 releases.

Comment 25 Andrew Dahms 2016-09-22 01:25:13 UTC
This content is live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.